Index: src/ControlStruct/ForExprMutator.cc
===================================================================
--- src/ControlStruct/ForExprMutator.cc	(revision 7abee383f06a7fe5690784e7676edcdf68ff7660)
+++ src/ControlStruct/ForExprMutator.cc	(revision 79b018f37612fb807c0968fa2790497cc4f41989)
@@ -9,7 +9,7 @@
 // Author           : Rodolfo G. Esteves
 // Created On       : Mon May 18 07:44:20 2015
-// Last Modified By : Andrew Beach
-// Last Modified On : Fri Aug 18 10:22:00 2017
-// Update Count     : 12
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Mon Mar 11 22:26:52 2019
+// Update Count     : 14
 //
 
@@ -21,5 +21,5 @@
 
 namespace ControlStruct {
-	Statement *hoist( Statement *originalStmt, std::list<Statement *> &init ) {
+	Statement * hoist( Statement * originalStmt, std::list<Statement *> & init ) {
 		// If no hoisting is needed, skip:
 		if ( 0 == init.size() ) {
@@ -29,6 +29,6 @@
 		// Create compound statement, move initializers outside,
 		// the resut of the original stays as is.
-		CompoundStmt *block = new CompoundStmt();
-		std::list<Statement *> &stmts = block->get_kids();
+		CompoundStmt * block = new CompoundStmt();
+		std::list<Statement *> & stmts = block->get_kids();
 		stmts.splice( stmts.end(), init );
 
@@ -38,12 +38,12 @@
 	}
 
-	Statement *ForExprMutator::postmutate( IfStmt *ifStmt ) {
+	Statement * ForExprMutator::postmutate( IfStmt * ifStmt ) {
 		return hoist( ifStmt, ifStmt->initialization );
 	}
-	Statement *ForExprMutator::postmutate( ForStmt *forStmt ) {
+	Statement * ForExprMutator::postmutate( ForStmt * forStmt ) {
 		// hoist any initializer declarations to make them C89 (rather than C99)
 		return hoist( forStmt, forStmt->initialization );
 	}
-	Statement *ForExprMutator::postmutate( WhileStmt *whileStmt ) {
+	Statement * ForExprMutator::postmutate( WhileStmt * whileStmt ) {
 		return hoist( whileStmt, whileStmt->initialization );
 	}
Index: src/ControlStruct/LabelFixer.cc
===================================================================
--- src/ControlStruct/LabelFixer.cc	(revision 7abee383f06a7fe5690784e7676edcdf68ff7660)
+++ src/ControlStruct/LabelFixer.cc	(revision 79b018f37612fb807c0968fa2790497cc4f41989)
@@ -9,7 +9,7 @@
 // Author           : Rodolfo G. Esteves
 // Created On       : Mon May 18 07:44:20 2015
-// Last Modified By : Rob Schluntz
-// Last Modified On : Tue Jul 28 13:32:43 2015
-// Update Count     : 156
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Mon Mar 11 22:26:02 2019
+// Update Count     : 159
 //
 
@@ -32,5 +32,5 @@
 	}
 
-	LabelFixer::LabelFixer( LabelGenerator *gen ) : generator ( gen ) {
+	LabelFixer::LabelFixer( LabelGenerator * gen ) : generator ( gen ) {
 		if ( generator == 0 )
 			generator = LabelGenerator::getGenerator();
@@ -49,5 +49,5 @@
 
 	// prune to at most one label definition for each statement
-	void LabelFixer::previsit( Statement *stmt ) {
+	void LabelFixer::previsit( Statement * stmt ) {
 		std::list< Label > &labels = stmt->get_labels();
 
@@ -58,5 +58,5 @@
 	}
 
-	void LabelFixer::previsit( BranchStmt *branchStmt ) {
+	void LabelFixer::previsit( BranchStmt * branchStmt ) {
 		previsit( ( Statement *)branchStmt );
 
@@ -75,7 +75,7 @@
 
 
-	// sets the definition of the labelTable entry to be the provided
-	// statement for every label in the list parameter. Happens for every kind of statement
-	Label LabelFixer::setLabelsDef( std::list< Label > &llabel, Statement *definition ) {
+	// sets the definition of the labelTable entry to be the provided statement for every label in the list
+	// parameter. Happens for every kind of statement
+	Label LabelFixer::setLabelsDef( std::list< Label > & llabel, Statement * definition ) {
 		assert( definition != 0 );
 		assert( llabel.size() > 0 );
@@ -100,6 +100,5 @@
 		} // for
 
-		// produce one of the labels attached to this statement to be
-		// temporarily used as the canonical label
+		// produce one of the labels attached to this statement to be temporarily used as the canonical label
 		return labelTable[ llabel.front() ]->get_label();
 	}
@@ -117,5 +116,5 @@
 
 	// Builds a table that maps a label to its defining statement.
-	std::map<Label, Statement * > *LabelFixer::resolveJumps() throw ( SemanticErrorException ) {
+	std::map<Label, Statement * > * LabelFixer::resolveJumps() throw ( SemanticErrorException ) {
 		std::map< Label, Statement * > *ret = new std::map< Label, Statement * >();
 		for ( std::map< Label, Entry * >::iterator i = labelTable.begin(); i != labelTable.end(); ++i ) {
Index: src/ControlStruct/LabelGenerator.cc
===================================================================
--- src/ControlStruct/LabelGenerator.cc	(revision 7abee383f06a7fe5690784e7676edcdf68ff7660)
+++ src/ControlStruct/LabelGenerator.cc	(revision 79b018f37612fb807c0968fa2790497cc4f41989)
@@ -9,7 +9,7 @@
 // Author           : Rodolfo G. Esteves
 // Created On       : Mon May 18 07:44:20 2015
-// Last Modified By : Andrew Beach
-// Last Modified On : Thr Aug 14 14:14:00 2015
-// Update Count     : 14
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Mon Mar 11 22:23:20 2019
+// Update Count     : 15
 //
 
@@ -24,10 +24,9 @@
 
 namespace ControlStruct {
-	LabelGenerator *LabelGenerator::labelGenerator = 0;
+	LabelGenerator * LabelGenerator::labelGenerator = 0;
 
-	LabelGenerator *LabelGenerator::getGenerator() {
+	LabelGenerator * LabelGenerator::getGenerator() {
 		if ( LabelGenerator::labelGenerator == 0 )
 			LabelGenerator::labelGenerator = new LabelGenerator();
-
 		return labelGenerator;
 	}
@@ -38,5 +37,5 @@
 		if ( stmt && ! stmt->get_labels().empty() ) {
 			os << "_" << stmt->get_labels().front() << "__";
-		}
+		} // if
 		std::string ret = os.str();
 		Label l( ret );
